<?php

namespace Database\Factories\Pilkades;

use App\Modules\Pilkades\Models\Kabupaten;
use App\Modules\Pilkades\Models\Kecamatan;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class KecamatanFactory extends Factory
{
    protected $model = Kecamatan::class;

    public function definition(): array
    {
        $nama = 'Kec '.fake()->unique()->numerify('#########');

        return [
            'kabupaten_id' => Kabupaten::factory(),
            'nama' => $nama,
            'slug' => Str::slug($nama),
            'is_active' => true,
        ];
    }
}
